MultiScreenContextEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.ui.event
Class MultiScreenContextEvent

    java.lang.Object
      java.util.EventObject
          org.ocap.ui.event.MultiScreenEvent
              org.ocap.ui.event.MultiScreenContextEvent

All Implemented Interfaces:
  Serializable

    public class MultiScreenContextEvent

extends MultiScreenEvent

A `MultiScreenContextEvent` is used to report a change to a `MultiScreenContext` to interested listeners.

The following types of changes cause the generation of this event:

- Change of associated `ServiceContext`;
- Change of associated display `HScreen`;
- Change of associated display `HScreen` area (extent) assignment;
- Change of associated set of `VideoOutputPort`s;
- Change of audio focus of a display `HScreen`;
- Change of screen visibility;
- Change of screen z-order.
- Change of set of underlying `HScreenDevice` that contribute audio sources to an `HScreen`;
- Change of set of underlying `HScreenDevice` instances, e.g., due to addition or removal of a `HScreenDevice` from an `HScreen`;
- Change of the z-order of the underlying `HScreenDevice` instances of an `HScreen`;

Since:
  MSM I01
Author:
  Glenn Adams
See Also:
  Serialized Form

Field Summary
`static int` | `MULTI_SCREEN_CONTEXT_AUDIO_FOCUS_CHANGED` The audio focus screen of the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_AUDIO_SOURCES_CHANGED` The audio sources of the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_DEVICES_CHANGED` The set of `HScreenDevice` instances associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_DEVICES_Z_ORDER_CHANGED` The z-order of the set of `HScreenDevice` instances associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_DISPLAY_AREA_CHANGED` The area (extent) of the display `HScreen` to which the underlying `HScreen` of the source `MultiScreenContext` is assigned has changed.
`static int` | `MULTI_SCREEN_CONTEXT_DISPLAY_SCREEN_CHANGED` The display `HScreen` associated with the underlying `HScreen` of the source code>MultiScreenContext has
`static int` | `MULTI_SCREEN_CONTEXT_OUTPUT_PORT_CHANGED` The set of video output ports associated with underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_SERVICE_CONTEXT_CHANGED` The `ServiceContext` associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_VISIBILITY_CHANGED` The visibility of the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXT_Z_ORDER_CHANGED` The z-order of the underlying `HScreen` of the source `MultiScreenContext` has changed.
`static int` | `MULTI_SCREEN_CONTEXTS_LAST` Last event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.

Fields inherited from class org.ocap.ui.event.MultiScreenEvent
`MULTI_SCREEN_CONFIGURATION_FIRST, MULTI_SCREEN_CONTEXT_FIRST`

Constructor Summary
`MultiScreenContextEvent(Object source, int id)` Construct a `MultiScreenContextEvent`.

Method Summary

Methods inherited from class org.ocap.ui.event.MultiScreenEvent
`getId`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MULTI_SCREEN_CONTEXT_DEVICES_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_DEVICES_CHANGED

  The set of `HScreenDevice` instances associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_DEVICES_Z_ORDER_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_DEVICES_Z_ORDER_CHANGED

  The z-order of the set of `HScreenDevice` instances associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_SERVICE_CONTEXT_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_SERVICE_CONTEXT_CHANGED

  The `ServiceContext` associated with the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_DISPLAY_SCREEN_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_DISPLAY_SCREEN_CHANGED

  The display `HScreen` associated with the underlying `HScreen` of the source code>MultiScreenContext has
  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_DISPLAY_AREA_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_DISPLAY_AREA_CHANGED

  The area (extent) of the display `HScreen` to which the underlying `HScreen` of the source `MultiScreenContext` is assigned has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_OUTPUT_PORT_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_OUTPUT_PORT_CHANGED

  The set of video output ports associated with underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_VISIBILITY_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_VISIBILITY_CHANGED

  The visibility of the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_Z_ORDER_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_Z_ORDER_CHANGED

  The z-order of the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_AUDIO_SOURCES_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_AUDIO_SOURCES_CHANGED

  The audio sources of the underlying `HScreen` of the source `MultiScreenContext` has changed.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXT_AUDIO_FOCUS_CHANGED

    public static final int MULTI_SCREEN_CONTEXT_AUDIO_FOCUS_CHANGED

  The audio focus screen of the underlying `HScreen` of the source `MultiScreenContext` has changed. When the audio focus screen of a display `HScreen` changes, then this event SHALL be generated twice (after completing the change): firstly to the `MultiScreenContext` of the logical screen which has lost audio focus (if such logical screen existed), and secondly to the `MultiScreenContext` of the display screen. In both of these cases, the source `MultiScreenContext` SHALL be the display screen.

  Since:
    MSM I01
  See Also:
    Constant Field Values

### MULTI_SCREEN_CONTEXTS_LAST

    public static final int MULTI_SCREEN_CONTEXTS_LAST

  Last event identifier assigned to `MultiScreenConfigurationEvent` event identifiers.

  Since:
    MSM I01
  See Also:
    Constant Field Values

Constructor Detail

### MultiScreenContextEvent

    public MultiScreenContextEvent(Object source,
                                   int id)

  Construct a `MultiScreenContextEvent`.

  Parameters:
    `source` - A reference to a `MultiScreenContext` interface.
    `id` - The event identifier of this event, the value of which SHALL be one of the following: `MULTI_SCREEN_CONTEXT_DEVICES_CHANGED`, `MULTI_SCREEN_CONTEXT_DEVICES_Z_ORDER_CHANGED`, `MULTI_SCREEN_CONTEXT_SERVICE_CONTEXT_CHANGED`, `MULTI_SCREEN_CONTEXT_DISPLAY_SCREEN_CHANGED`, `MULTI_SCREEN_CONTEXT_DISPLAY_AREA_CHANGED`, `MULTI_SCREEN_CONTEXT_OUTPUT_PORT_CHANGED`, `MULTI_SCREEN_CONTEXT_VISIBILITY_CHANGED`, `MULTI_SCREEN_CONTEXT_Z_ORDER_CHANGED`, `MULTI_SCREEN_CONTEXT_AUDIO_SOURCES_CHANGED`, or `MULTI_SCREEN_CONTEXT_AUDIO_FOCUS_CHANGED`.
  Since:
    MSM I01

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD